<?php declare(strict_types=1);

use Lubiana\CodeQuality\LubiSetList;
use PhpCsFixer\Fixer\ClassNotation\FinalClassFixer;
use Symplify\EasyCodingStandard\Config\ECSConfig;

return ECSConfig::configure()
    ->withPaths([
        __DIR__ . '/bin',
        __DIR__ . '/public',
        __DIR__ . '/src',
        __DIR__ . '/config',
        __DIR__ . '/tests',
    ])
    ->withRootFiles()
    ->withRules([
        FinalClassFixer::class,
    ])
    ->withSets([LubiSetList::ECS]);
